[blfs-book] r10429 - in trunk/BOOK: . general/prog gnome/core introduction/welcome

krejzi at linuxfromscratch.org krejzi at linuxfromscratch.org
Thu Jul 19 16:08:34 PDT 2012


Author: krejzi
Date: 2012-07-19 17:08:29 -0600 (Thu, 19 Jul 2012)
New Revision: 10429

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/general/prog/ruby.xml
   trunk/BOOK/gnome/core/eog.xml
   trunk/BOOK/introduction/welcome/changelog.xml
Log:
Ruby 1.9.3-p194 and EOG 3.4.3

Modified: trunk/BOOK/general/prog/ruby.xml
===================================================================
--- trunk/BOOK/general/prog/ruby.xml	2012-07-19 19:15:06 UTC (rev 10428)
+++ trunk/BOOK/general/prog/ruby.xml	2012-07-19 23:08:29 UTC (rev 10429)
@@ -3,15 +3,13 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-  <!-- Dead link
-  <!ENTITY ruby-download-http "http://www.ibiblio.org/pub/languages/ruby/ruby/ruby-&ruby-version;.tar.gz">
-  -->
+
   <!ENTITY ruby-download-http " ">
   <!ENTITY ruby-download-ftp  "ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-&ruby-version;.tar.bz2">
-  <!ENTITY ruby-md5sum        "096758c3e853b839dc980b183227b182">
-  <!ENTITY ruby-size          "8.4 MB">
-  <!ENTITY ruby-buildsize     "403 MB (including tests)"> 
-  <!ENTITY ruby-time          "3.6 SBU (including tests)">
+  <!ENTITY ruby-md5sum        "2278eff4cfed3cbc0653bc73085caa34">
+  <!ENTITY ruby-size          "9.4 MB">
+  <!ENTITY ruby-buildsize     "850 MB"> 
+  <!ENTITY ruby-time          "4.0 SBU">
 ]>
 
 <sect1 id="ruby" xreflabel="Ruby-&ruby-version;">
@@ -31,31 +29,45 @@
   <sect2 role="package">
     <title>Introduction to Ruby</title>
 
-    <para>The <application>Ruby</application> package contains the
-    <application>Ruby</application> development environment. This
-    is useful for object-oriented scripting.</para>
+    <para>
+      The <application>Ruby</application> package contains the
+      <application>Ruby</application> development environment. This
+      is useful for object-oriented scripting.
+    </para>
 
     &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&ruby-download-http;"/></para>
+        <para>
+          Download (HTTP): <ulink url="&ruby-download-http;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download (FTP): <ulink url="&ruby-download-ftp;"/></para>
+        <para>
+          Download (FTP): <ulink url="&ruby-download-ftp;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &ruby-md5sum;</para>
+        <para>
+          Download MD5 sum: &ruby-md5sum;
+        </para>
       </listitem>
       <listitem>
-        <para>Download size: &ruby-size;</para>
+        <para>
+          Download size: &ruby-size;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated disk space required: &ruby-buildsize;</para>
+        <para>
+          Estimated disk space required: &ruby-buildsize;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated build time: &ruby-time;</para>
+        <para>
+          Estimated build time: &ruby-time;
+        </para>
       </listitem>
     </itemizedlist>
 
@@ -64,31 +76,37 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
       <xref linkend="doxygen"/>,
-      <xref linkend="openssl"/>,
-      <xref linkend="tk"/>, and
-      <xref linkend="db"/>
+      <xref linkend="graphviz"/>,
+      <ulink url="http://pyyaml.org/wiki/LibYAML">libyaml</ulink>,
+      <xref linkend="openssl"/> and
+      <xref linkend="tk"/>
     </para>
 
     <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/ruby"/></para>
-
+      <ulink url="&blfs-wiki;/ruby"/>
+    </para>
   </sect2>
 
   <sect2 role="installation">
     <title>Installation of Ruby</title>
 
-    <para>Install <application>Ruby</application> by running the following
-    commands:</para>
+    <para>
+      Install <application>Ruby</application> by running the following
+      commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr    \
             --enable-shared  \
-            --enable-pthread \
-            --enable-install-doc &&
+            --enable-pthread &&
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make test</command>.</para>
+    <para>
+      To test the results, issue: <command>make test</command>.
+    </para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
 
@@ -97,11 +115,15 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><parameter>--enable-shared</parameter>: This parameter builds the
-    <filename class='libraryfile'>libruby</filename> shared library.</para>
+    <para>
+      <option>--enable-shared</option>: This parameter enables building of
+      the <filename class="libraryfile">libruby</filename> shared library.
+    </para>
 
-    <para><parameter>--enable-pthread</parameter>: This parameter links the
-    threading library into the <application>Ruby</application> build.</para>
+    <para>
+      <option>--enable-pthread</option>: This parameter enables linking of the
+      threading library into the <application>Ruby</application> build.
+    </para>
 
   </sect2>
 
@@ -114,10 +136,19 @@
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>erb, gem, irb, rake, rdoc, ri, ruby, and testrb</seg>
-        <seg>libruby.so, libruby-static.a and numerous modules located in the
-        <filename class='directory'>/usr/lib/ruby</filename> hierarchy.</seg>
-        <seg>/usr/include/ruby-1.9.1, /usr/lib/ruby and /usr/share/ri</seg>
+        <seg>
+          erb, gem, irb, rake, rdoc, ri, ruby and testrb
+        </seg>
+        <seg>
+          libruby.so, libruby-static.a and numerous modules located in the
+          <filename class="directory">/usr/lib/ruby</filename> hierarchy.
+        </seg>
+        <seg>
+          /usr/include/ruby-1.9.1,
+          /usr/lib/ruby,
+          /usr/share/doc/ruby and
+          /usr/share/ri
+        </seg>
       </seglistitem>
     </segmentedlist>
 
@@ -129,8 +160,10 @@
       <varlistentry id="ruby-prog">
         <term><command>ruby</command></term>
         <listitem>
-          <para>is an interpreted scripting language for quick
-          and easy object-oriented programming.</para>
+          <para>
+            is an interpreted scripting language for quick
+            and easy object-oriented programming.
+          </para>
           <indexterm zone="ruby ruby-prog">
             <primary sortas="b-ruby">ruby</primary>
           </indexterm>
@@ -140,8 +173,10 @@
       <varlistentry id="irb">
         <term><command>irb</command></term>
         <listitem>
-          <para>is the interactive interface for
-          <application>Ruby</application>.</para>
+          <para>
+            is the interactive interface for
+            <application>Ruby</application>.
+          </para>
           <indexterm zone="ruby irb">
             <primary sortas="b-irb">irb</primary>
           </indexterm>
@@ -151,8 +186,10 @@
       <varlistentry id="erb">
         <term><command>erb</command></term>
         <listitem>
-          <para>is Tiny eRuby. It interprets a
-          <application>Ruby</application> code embedded text file.</para>
+          <para>
+            is Tiny eRuby. It interprets a
+            <application>Ruby</application> code embedded text file.
+          </para>
           <indexterm zone="ruby erb">
             <primary sortas="b-erb">erb</primary>
           </indexterm>
@@ -162,8 +199,10 @@
       <varlistentry id="ri">
         <term><command>ri</command></term>
         <listitem>
-          <para>displays documentation from a database on
-          <application>Ruby</application> classes, modules and methods.</para>
+          <para>
+            displays documentation from a database on
+            <application>Ruby</application> classes, modules and methods.
+          </para>
           <indexterm zone="ruby ri">
             <primary sortas="b-ri">ri</primary>
           </indexterm>
@@ -171,10 +210,11 @@
       </varlistentry>
 
       <varlistentry id="libruby">
-        <term><filename role="library">libruby.so</filename></term>
+        <term><filename role='library'>libruby.so</filename></term>
         <listitem>
-          <para>contains the API functions required
-          by <application>Ruby</application>.</para>
+          <para>
+            contains the API functions required by <application>Ruby</application>.
+          </para>
           <indexterm zone="ruby libruby">
             <primary sortas="c-libruby">libruby.so</primary>
           </indexterm>

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2012-07-19 19:15:06 UTC (rev 10428)
+++ trunk/BOOK/general.ent	2012-07-19 23:08:29 UTC (rev 10429)
@@ -404,7 +404,7 @@
 <!ENTITY pkgconfig-version            "0.26-internal-glib">
 <!ENTITY python2-version              "2.7.3">
 <!ENTITY python3-version              "3.2.3">
-<!ENTITY ruby-version                 "1.9.2-p290">
+<!ENTITY ruby-version                 "1.9.3-p194">
 <!ENTITY slang-version                "2.2.4">
 <!ENTITY subversion-version           "1.7.4">
 <!ENTITY tcl-version                  "8.5.11">
@@ -815,7 +815,7 @@
 <!ENTITY baobab-version               "3.4.1">
 <!ENTITY brasero-version              "3.4.1">
 <!ENTITY empathy-version              "3.4.2.3">
-<!ENTITY eog-version                  "3.4.2">
+<!ENTITY eog-version                  "3.4.3">
 <!ENTITY epiphany-version             "3.4.2">
 <!ENTITY evince-version               "3.4.0">
 <!ENTITY gcalctool-version            "6.4.2.1">

Modified: trunk/BOOK/gnome/core/eog.xml
===================================================================
--- trunk/BOOK/gnome/core/eog.xml	2012-07-19 19:15:06 UTC (rev 10428)
+++ trunk/BOOK/gnome/core/eog.xml	2012-07-19 23:08:29 UTC (rev 10429)
@@ -6,7 +6,7 @@
 
   <!ENTITY eog-download-http "&gnome-download-http;/eog/3.4/eog-&eog-version;.tar.xz">
   <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/3.4/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-md5sum        "9d86fc4b94442bf89e50a263e8ecb408">
+  <!ENTITY eog-md5sum        "d481e13d635865db1b8262252b7f94fe">
   <!ENTITY eog-size          "3.2 MB">
   <!ENTITY eog-buildsize     "55 MB">
   <!ENTITY eog-time          "1.2 SBU">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2012-07-19 19:15:06 UTC (rev 10428)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2012-07-19 23:08:29 UTC (rev 10429)
@@ -57,6 +57,9 @@
           <para>[krejzi] - cURL 7.26.0.</para>
         </listitem>
         <listitem>
+          <para>[krejzi] - EOG 3.4.3.</para>
+        </listitem>
+        <listitem>
           <para>[krejzi] - GLib 2.32.4.</para>
         </listitem>
         <listitem>
@@ -71,6 +74,9 @@
         <listitem>
           <para>[krejzi] - Python 3.2.3.</para>
         </listitem>
+        <listitem>
+          <para>[krejzi] - Ruby 1.9.3-p194.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
 




More information about the blfs-book mailing list